Bug 9167 - Installation fails
Summary: Installation fails
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer   
(Show other bugs)
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-02-06 20:26 UTC by Jay
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-23 15:59:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jay 2000-02-06 20:26:05 UTC
I get this error while the installation tries to read the packaged
information:

Exception Occured

Traceback (Innermost Last):

File "/usr/bin/anaconda.real",
line 225, in ?
intf.run(todo,test=test)
File "/tmp/lib/python1.5/site-packages/text.py",
line 1000, in run
rc=apply(step[1](),step[2])
File "/tmp/lib/python1.5/site-packages/text.py",
line 468, in __call__
todo.getCompsList()
File "/tmp/lib/python1.5/site-packages/todo.py",
line 942, in getCompsList()
self.getHeadersList()
File "/tmp/lib/python1.5/site-packages/todo.py",
line 930, in getHeadersList()
self.hdlist=self.method.readHeaders()
File "/tmp/lib/python1.5/site-packages/hardrive.py",
line 46, in readHeaders
return HeaderList(hl)
File "/tmp/lib/python1.5/site-packages/comps.py",
line 50, in __init__
name=h[rpm.RPMTAG_NAME]
typeError: unsubscriptable object

Comment 1 Jay Turner 2000-02-23 15:59:59 UTC
This is the result from having files in the /RedHat/RPMS directory which are not
actually RPM files.  The easiest way to find these is to run the command "ls |
grep -v rpm" in the /RedHat/RPMS directory and deleting anything that comes up.
The new beta installer is much better about ignoring files in this directory
which are not actually RPM files.


Note You need to log in before you can comment on or make changes to this bug.